--- PKGBUILD.orig	2018-09-07 17:00:58.059688972 -0600
+++ PKGBUILD	2018-09-07 17:00:53.109626573 -0600
@@ -3,7 +3,7 @@
 
 pkgname=i3lock
 pkgver=2.10
-pkgrel=1
+pkgrel=2
 pkgdesc="An improved screenlocker based upon XCB and PAM"
 arch=('x86_64')
 url="https://i3wm.org/i3lock/"
@@ -18,22 +18,23 @@
          'SKIP')
 validpgpkeys=('424E14D703E7C6D43D9D6F364E7160ED4AC8EE1D') # Michael Stapelberg
 
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-  
+prepare() {
+  cd "$pkgname-$pkgver"
   # Fix ticket FS#31544, sed line taken from gentoo
   sed -i -e 's:login:system-auth:' i3lock.pam
+}
 
+build() {
+  cd "$pkgname-$pkgver"
   make
-  gzip i3lock.1
 }
 
 package() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-  make DESTDIR="${pkgdir}" install
-  
-  install -Dm644 i3lock.1.gz ${pkgdir}/usr/share/man/man1/i3lock.1.gz
-  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  cd "$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 i3lock.1 -t "$pkgdir/usr/share/man/man1/"
+  install -Dm644 LICENSE -t "$pkgdir/usr/share/licenses/$pkgname/"
   make clean
 }
 
